summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f
diff options
context:
space:
mode:
authorHarsha Sharma <harshasharmaiitr@gmail.com>2018-08-14 01:09:28 +0530
committerPablo Neira Ayuso <pablo@netfilter.org>2018-08-31 18:40:14 +0200
commit2de594ccb99c70bc908a3f4cc477618babffff6b (patch)
tree5078735ecf6c998c653edf17a85c8f1c474b51a3 /tests/shell/testcases/nft-f
parent5df2f2e203230eeecb8617992741652226fc3ca4 (diff)
tests: shell: add tests for ct timeout objects
Add tests for listing ct timeout objects and input from file. Signed-off-by: Harsha Sharma <harshasharmaiitr@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/nft-f')
-rwxr-xr-xtests/shell/testcases/nft-f/0017ct_timeout_obj_016
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0017ct_timeout_obj_0 b/tests/shell/testcases/nft-f/0017ct_timeout_obj_0
new file mode 100755
index 00000000..1d03dbfc
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0017ct_timeout_obj_0
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+EXPECTED='table ip filter {
+ ct timeout cttime{
+ protocol tcp;
+ l3proto ip
+ policy = {established: 123, close: 12}
+ }
+
+ chain c {
+ ct timeout set "cttime"
+ }
+}'
+
+set -e
+$NFT -f - <<< $EXPECTED